/* 사전 설정 */
:root {
    --pre: 'Pretendard', 'Noto Sans', 'Arial', sans-serif;
    --cont: clamp(.9rem, 1.1vw, 1.2rem);
    --title: clamp(1.5rem, 4.3vw, 4.5rem);
    --s_title: clamp(1.2rem, 2vw, 2.5rem);
    --s_cont: clamp(.9rem, 1.2vw, 1.3rem);
    --max-width: 1650px;
    --primary: #2e3192;
    --secondary: #00aeef;
    --accent: #20aa55;
    --gray: #94989a;
    --text: #555555;
    --tit_color: #1D1D1D;
}

/* header */
.gnb_p_wrap {
    display: none;
}

#header #lnb_p * {
    font-family: var(--pre) !important;
}

.lnb_p .dep1>li>a>span {
    font-weight: 600;
}

/* 모바일 로그인 회원가입 */
.side_gnb {
    display: none;
}

/* 모바일 메뉴 */
#sub_view #container .contents_wrap .snb .dep1 li a,
.side_lnb .dep2>ul>li>a>span,
#sub_view #container .contents_wrap .snb .m_snb_toggle,
.side_lnb .dep1>li>a>span {
    font-family: var(--pre);
}

.shgroup .sub_top_text .top_text_inner>p {
    text-align: left;
    padding-left: 1rem;
}

@media (min-width: 1024px) {
    #header .logo {
        max-width: 200px;
    }

    #header .logo h1 span img {
        max-width: 210px;
    }

    .lnb_p {
        width: 100%;
        max-width: calc(100% - 290px);
        margin-right: 60px;
    }

    .lnb_p .dep1 {
        display: flex;
        justify-content: flex-end;
    }

    .lnb_p .dep1>li>a>span {
        font-size: 20px;
        color: #262626;
    }

    .lnb_p .dep2>ul>li>a {
        font-size: 15px;
        font-weight: 500;
    }

    /* 햄버거 */
    .lnb_p_all_wrap {
        position: absolute;
        right: 35px;
    }

    .lnb_p_all_wrap .btn_lnb_all_p>span,
    .lnb_p_all_wrap .btn_lnb_all_p>span:after,
    .lnb_p_all_wrap .btn_lnb_all_p>span:before {
        background: #262626;
        border-radius: 5px;
    }

    .lnb_p_all_wrap .btn_lnb_all_p>span:after,
    .lnb_p_all_wrap .btn_lnb_all_p>span:before {
        width: 25px;
    }

    .lnb_p_all_wrap .btn_lnb_all_p>span:before {
        top: -10px;
    }

    .lnb_p_all_wrap .btn_lnb_all_p>span:after {
        bottom: -10px;
    }

    .sub_location,
    #footer .f_inner,
    .shgroup .sub_top_text .top_text_inner,
    .contents_wrap .sub_location,
    .contents_wrap .sub_top_title,
    .lnb_p_all_wrap .lnb_p_all .lnb_p_all_inner {
        max-width: var(--max-width) !important;
        width: 100%;
    }

    .row>.white-space {
        max-width: var(--max-width) !important;
        width: 100%;
    }

    .shgroup .sub_top_text .top_text_inner>p {
        bottom: 3rem;
        position: absolute;
        font-weight: 700;
        color: #000;
        padding: 0;
        font-size: var(--title);
        text-align: left;
    }

    /* 햄버거 메뉴 */
    .lnb_p_all_wrap * {
        word-break: keep-all
    }

    .lnb_p_all_wrap .lnb_p_all .dep1 {
        display: flex;
        flex-wrap: wrap;
        gap: 3rem;
        justify-content: space-between;
        padding: 0 1rem;
    }

    .lnb_p_all_wrap .lnb_p_all .dep1>li {
        width: calc(50% - 3rem);
        margin: 0;
    }

    .shgroup .sub_top_bg {
        height: 630px;
    }
}

@media (max-width: 1120px) {
    #header .logo {
        max-width: 150px;
    }

    #header .logo h1 span img {
        max-width: 100%;
    }

    .lnb_p {
        max-width: calc(100% - 250px);
        margin-right: 0;
    }

    .lnb_p .dep1>li>a>span {
        font-size: 15px;
    }
}

/* container */
#container {
    padding-top: 0;
}

#container .contents_wrap {
    overflow: hidden;
}

#container .inner {
    max-width: var(--max-width);
    width: 100%;
    margin: 0 auto;
}

#container .m10 {
    margin: clamp(3rem, 10vw, 10rem) 0;
}

#container .p5 {
    padding: clamp(2rem, 5rem, 5vw) 0;
}

#container .material-symbols-outlined {
    font-family: 'Material Symbols Outlined' !important;
}

/* footer */
#footer * {
    font-family: var(--pre);
    word-break: keep-all;
}

#footer {
    background: #fff;
    border-top: 1px solid #ddd;
}

#footer .finfo {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    margin-top: clamp(1rem, 2vw, 2rem);
}

#footer .f_inner {
    display: flex;
    flex-direction: column;
    max-width: var(--max-width);
    padding: clamp(2rem, 4vw, 4rem) 0;
}

#footer .fnb {}

#footer .fnb ul li a {
    font-size: clamp(.7rem, 1.2vw, 1.2rem);
    color: #ababab;
    font-weight: 500;
}

#footer .f_inner .fnb {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#footer .f_inner .fnb img {
    opacity: .7;
}

#footer .finfo p {
    display: inline-block;
    margin-bottom: clamp(.3rem, 1.2vw, 1.2rem);
    font-size: clamp(.8rem, 1.1vw, 1.1rem);
    font-weight: 500;
    color: #555;
}

#footer .finfo p:nth-child(2),
#footer .finfo p:nth-child(5),
#footer .finfo p:nth-child(6) {
    margin-left: 12px;
}

#footer .finfo p:nth-child(2):before,
#footer .finfo p:nth-child(5):before,
#footer .finfo p:nth-child(6):before {
    content: "";
    display: block;
    position: absolute;
    top: calc(50% + 5px);
    left: -12px;
    width: 1px;
    height: 10px;
    transform: translateY(-50%);
    background: #828282;
}

#footer .finfo p span {
    margin-right: 5px;
    font-weight: bold;
}

#footer .finfo p:last-child {
    padding-bottom: 0;
}

#footer .finfo .right {
    width: auto;
}

#footer .copyright {
    font-family: var(--pre);
    margin-top: clamp(1rem, 2vw, 2rem);
    opacity: .7;
    font-size: clamp(.7rem, .9rem, 1vw);
    color: #555;
}

#footer .finfo .right .family-site {
    position: relative;
    display: inline-block;
    text-align: right;
}

#footer .finfo .right .family-site button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    background: #a5a5a569;
    font-size: clamp(.8rem, 1vw, 1rem);
    text-align: center;
    padding: clamp(.5rem, 1.5vw, 1.5rem) clamp(1rem, 3vw, 3rem) clamp(.5rem, 1.5vw, 1.5rem) clamp(1rem, 4vw, 4rem);
    border: none;
    color: #fff;
}

#footer .finfo .right .family-site button span {
    font-family: 'Material Symbols Outlined' !important;
    margin-left: 1rem;
    vertical-align: middle;
    font-variation-settings: 'FILL'0, 'wght'400, 'GRAD'0, 'opsz'24;
}

#footer .finfo .right .family-site .dropdown {
    position: absolute;
    bottom: 120%;
    right: 0;
    padding: 1rem;
    display: none;
    background: #474747;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 100;
    min-width: 240px;
    box-sizing: border-box;
}

#footer .finfo .right .family-site .dropdown a {
    display: block;
    padding: 10px 15px;
    font-size: 14px;
    color: #e7e7e7 !important;
    text-decoration: none;
    font-family: var(--pre);
    opacity: .7;
    font-size: 15px;
    text-align: center;
}

#footer .finfo .right .family-site .dropdown a:hover {
    opacity: 1;
}

.call_quick {
    position: relative;
    z-index: 999
}

.call_quick .wrap {
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    border-radius: 50%;
    box-shadow: 3px 3px 12px rgba(, 0, 0, 0.2);
    position: fixed;
}

.call_quick .wrap span {
    font-size: 30px;
}

.call_quick .wrap_call {
    background: var(--secondary);
    right: 10px;
    bottom: 60px;
}

@media (min-width: 1024px) {
    #footer .finfo {
        justify-content: space-between;
    }

    #footer .finfo .number_wrap {
        display: flex;
    }
}

@media (max-width: 767px) {
    #footer {
        overflow: visible;
    }

    #footer .finfo {
        align-items: flex-start;
        flex-direction: column;
        text-align: center;
    }

    #footer .finfo .right {
        margin-top: 1rem;
    }

    #footer .finfo p {
        text-align: left;
        padding-left: 0;
        padding-right: 0;
    }

    #footer .f_inner {
        padding: .5rem 2rem;
    }

    #footer .f_inner .fnb img {
        width: 150px;
    }

    #footer .finfo .right .family-site .dropdown {
        min-width: auto;
    }

    #footer .finfo .right .family-site .dropdown a {
        padding: .5rem 0;
        font-size: 13px;
    }

    #footer .f_inner .fnb {
        flex-direction: column;
    }

    #footer .finfo p:nth-child(2):before,
    #footer .finfo p:nth-child(5):before,
    #footer .finfo p:nth-child(6):before {
        display: none;
    }

    #footer .finfo p:nth-child(2),
    #footer .finfo p:nth-child(6) {
        margin-left: 0;
    }

    #footer .copyright {
        text-align: center;
    }
}

/* 전체 커스텀 */
#container * {
    font-family: var(--pre);
    word-break: keep-all;
}

/* 서브페이지 커스텀 */
.shgroup .sub_top_text .top_text_inner>p {
    font-family: var(--pre);
    color: #fff;
    bottom: 12rem;
}

.shgroup .sub_top_text .top_text_inner>p span {
    display: block;
    font-size: var(--cont);
    letter-spacing: 0;
}

#sub_view #container * {
    word-break: keep-all;
}

#sub_view #container .top_text_inner .contents_wrap {
    min-height: auto;
    padding-bottom: 0;
}

#sub_view #container .top_text_inner .contents_wrap .sub_location {
    position: absolute;
    bottom: 0;
    border-bottom: 0;
    text-align: left;
}

#sub_view #container .top_text_inner .contents_wrap .sub_location>span {
    color: #fff;
}

#sub_view #container .contents_wrap {
    padding: 0;
}

#sub_view #container .contents_wrap .contents {
    padding: 0;
}

#footer .finfo a {
    color: #555;
}

@media (max-width:767px) {
    #sub_view #container .contents_wrap .contents {
        padding-top: 20px;
    }
}

@media (max-width:1023px) {
    .side_lnb {
        background: #191a46;
    }

    .contents_wrap .sub_location {
        margin-top: 1rem;
    }

    #viewport .viewport_side {
        background: transparent;
    }

    #viewport.left-open .btn_close_side,
    #viewport.right-open .btn_close_side {
        opacity: 1;
        background: var(--primary);
    }
}

/*우측 하단 퀵메뉴*/
#footer .quick_btn {
    font-family: var(--pre);
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: fixed;
    width: 80px;
    height: 80px;
    background-color: #fff;
    border-radius: 50%;
    z-index: 999;
    right: 20px;
    bottom: 70px;
    overflow: hidden;
    transition: .3s;
    box-shadow: 0px 4px 30px 0px #0000001A;
    border: 1px solid #dfdfdf;
}

#footer .quick_btn img {
    display: inline-block;
    width: 50px;
    border-radius: 50%;
    vertical-align: middle;
}

#footer .quick_btn .icon {
    width: 50px;
    height: 50px;
    background: #37d29d url(/img_up/shop_pds/ehompy0648/design/2025/quick.png) no-repeat center;
    border-radius: 50%;
    padding: 2em;
    box-sizing: border-box;
    background-size: 40px;
}

#footer .quick_btn span:nth-of-type(2) {
    display: none;
    padding-right: 10px;
    transition: all .3s;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    opacity: 0;
    font-weight: 600;
    font-size: 18px;
    font-weight: bold;
}

#footer .quick_btn:hover {
    width: 320px;
    border-radius: 50px;
    transition: all .3s;
    padding: 0 1rem;
    gap: 10px;
}

#footer .quick_btn:hover span:nth-of-type(2) {
    display: block;
    transition: all .3s;
    opacity: 1;
    color: #000;
}

@media (max-width:1023px) {
    #footer .quick_btn {
        width: 60px;
        height: 60px;
        right: 10px;
        bottom: 130px;
    }

    #footer .quick_btn .icon {
        width: 50px;
        height: 50px;
        padding: 1em;
        background-size: 30px;
    }

    #footer .quick_btn:hover {
        width: 60px;
        padding: 0;
    }

    #footer .quick_btn:hover span:nth-of-type(2) {
        display: none;
    }
}





/* 26 04 07 언어 */

.lnb_p {
    max-width: calc(100% - 390px);
}

.lang_btn * {
  font-family:var(--pre);
}
 

.lang_btn {
    position: absolute;
    right: 100px;
    top: 50%;
    transform: translateY(-50%);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    padding:0 10px;
}
.lang_btn span::after {
    content: '';
    display: block;
    width: 6px;
    height: 6px;
    border-top: 2px solid #fff;
    border-left: 2px solid #fff;
    transform: rotate(45deg);
    margin-top: 4px;
    transition: transform 0.3s ease, margin-top 0.3s ease;
}
.lang_btn .lang_list {
    display:flex;
    color:#000; font-size:14px;
    padding: 12px 0;
    min-width: 80px;
    transition: all 0.3s ease-in-out;
}
.lang_btn .lang_list a {
    position: relative;
    display: block;
    text-align: center;
    padding: 0 15px;
    font-size: clamp(1rem, 1vw, 1.1rem);
    font-weight: 600;
    color: #797979;
    text-decoration: none;
    background-color: transparent;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.lang_btn .lang_list a:first-child:before{
  content:"";
  position:absolute; 
  right:0;
  top:50%;
  width:1px;
  height:10px;
  background:#a9a9a9;
  transform: translateY(-50%);
}

.lang_btn .lang_list a:nth-child(1) {
    opacity:0.5;
}


.lang_btn .lang_list a:nth-child(1):hover {
    opacity:1;
}

.lang_btn .lang_list a:hover{
  color:var(--primary);
}


@media (max-width:1499px){
  .lang_btn {right:80px;}
}


@media (max-width:1023px){
   .lang_btn {right:40px;}
}

